// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'ngCordova'])

  .run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)

      if(window.StatusBar) {
        StatusBar.styleDefault();
      }
    });
    // set show Interstitial ad in localstorage to flase
    localStorage.setItem('showAd', 'false');
  })
  .factory('admob', function(){

    var admobid = {};
    //if( /(android)/i.test(navigator.userAgent) ) {
      //admobid = { // for Android
      //  banner: 'ca-app-pub-9615570737106223/1276767446',
     //   interstitial: 'ca-app-pub-9615570737106223/2753500649'
    //  };
   // }
  //  else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
      admobid = { // for iOS
        banner: 'ca-app-pub-9615570737106223/7789241840',
        interstitial: 'ca-app-pub-9615570737106223/9265975045'
      };
    //}
    //else {
     // admobid = { // for Windows Phone
      //  banner: 'ca-app-pub-6869992474017983/8878394753',
       // interstitial: 'ca-app-pub-9615570737106223/7382176649'
      //};
    //}
    return{
      createAds : function(){
        if(AdMob) AdMob.createBanner( {
          adId: admobid.banner,
          isTesting: false,
          overlap: false,
          offsetTopBar: false,
          position: AdMob.AD_POSITION.BOTTOM_CENTER,
          bgColor: 'black'
        });

        if(AdMob) AdMob.prepareInterstitial({
          adId: admobid.interstitial,
          autoShow: false
        });
      },
      showInterstitial : function(){
        if(AdMob){
          AdMob.showInterstitial();
        }
      }

    }
  })
.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
  $ionicConfigProvider.navBar.alignTitle('center');
  $stateProvider

    .state('app', {
      url: "/app",
      abstract: true,
      templateUrl: "templates/menu.html",
      controller: 'AppCtrl'
    })

    .state('app.intro', {
      url: "/intro",
      views: {
        'menuContent' :{
          templateUrl: "templates/intro.html",
          controller : 'IntroCtrl'
        }
      }
    })

    .state('app.page',{
      url:"/page/:pageId",
      views:{
        'menuContent' :{
          templateUrl:'templates/page.html',
          controller :'PageCtrl'
        }
      }
    })

    .state('app.settings',{
      url:"/settings",
      views:{
        'menuContent':{
          templateUrl: 'templates/settings.html',
          controller :'SettingsCtrl'
        }
      }
    })


    ;
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/intro');
});

