angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope, $ionicSideMenuDelegate, admob) {
  $scope.chapters = [];
  function fillChapters ( citem ){
      for( i=0; i< citem.length ; i++ )
        $scope.chapters[i] = eval(citem[i]);
  }
  fillChapters ( citem );

  $scope.bookmark ={};
  var night = (window.localStorage['night'] || 0);
  (night == 1)?
    document.getElementById("body").classList.add("night"):
    document.getElementById("body").classList.remove("night");

  var size = window.localStorage['font'] || 0,
      val = 100 + ( size*1 );
  document.getElementById('font-size').innerHTML = ' *{ font-size: ' + val + '% !important} ';

  window.localStorage['bookmark'] = window.localStorage['bookmark'] || 'cp0';

  $scope.bookmark.id = window.localStorage['bookmark'];

  $scope.parentobj = {};
  $scope.parentobj.bookmark =  window.localStorage['bookmark'];

  $scope.showAd = function(){
    // show Interstitial ad only once by app run on menu item click
    if(localStorage.getItem("showAd") == 'false'){
      localStorage.setItem('showAd', 'true');
      admob.showInterstitial();
    }
  };
})

.controller('IntroCtrl', function( $scope , admob){
    $scope.book = book;
    document.getElementById('intro-header').style.height = (window.innerHeight-32)+'px';
    document.getElementById('intro-header').style.lineHeight = (window.innerHeight+80)+'px';

    admob.createAds();

    $scope.showAd = function(){
      // show Interstitial ad only once by app run on menu item click
      if(localStorage.getItem("showAd") == 'false'){
        localStorage.setItem('showAd', 'true');
        admob.showInterstitial();
      }
    };
  })

.controller('PageCtrl', function( $scope, $stateParams, admob){

    $scope.page = eval($stateParams['pageId']);

    $scope.current = $stateParams['pageId'].slice(2)*1;
    $scope.total = item.length;

    $scope.next = function(  ){
      id = ( $scope.current == item.length-1 )? $scope.current : $scope.current+1;
      return item[ id ];
    };

    $scope.prev = function(  ){
      id = ( $scope.current == 0 )? $scope.current : $scope.current-1;
      return item[ id ];
    };

    $scope.share = function( text ){
      text = text.replace(/<br\/>/g, "\n");
      window.plugins.socialsharing.share(text);
    };

    $scope.bookmark = function ( id ){
      admob.showInterstitial();
      $scope.parentobj.bookmark = id;
      window.localStorage['bookmark'] = id;
    };

    $scope.isBookmarked = function (){
      var isBo = (window.localStorage['bookmark'] || 0);
      return ( isBo == $stateParams['pageId']) ;
    };
})

.controller('SettingsCtrl', function($scope, admob){

  $scope.night = window.localStorage['night'] || 0;
  $scope.changeNight = function(){
    $scope.night = ($scope.night)?0:1;
    window.localStorage['night'] = ($scope.night == 0)?0:1;
    ($scope.night)?
      document.getElementById("body").classList.add("night"):
      document.getElementById("body").classList.remove("night");
    return $scope.night;
  };

  /* font resize */
  $scope.font = {};
  $scope.font.size = window.localStorage['font'] || 0;
  $scope.fontResize = function() {
      var size = $scope.font.size,
          val = 100 + ( size*1 );
      window.localStorage['font'] = size;
      document.getElementById('font-size').innerHTML = ' *{ font-size: ' + val + '% !important} ';
  };

  $scope.showInt = function(){
      admob.showInterstitial();
  };

});
